require 'active_model'

# validates :key, 'quby/type': {is_a: Symbol}
module Quby
  class TypeValidator < ActiveModel::EachValidator
    def validate_each(record, attribute, value)
      return if value.is_a? options[:is_a]

      record.errors.add(attribute, "Is not of type #{options[:is_a]}")
    end
  end
end
