# frozen_string_literal: true

module Quby
  module Compiler
    module Entities
      module Questions
        class FloatQuestion < Question
          def as_json(options = {})
            super.merge(
              minimum: minimum,
              maximum: maximum,
              step: 0.01, # fixed in v1.
              # defaultPosition: default_position # Needs discussion, can be number or string "hidden"
            )
          end

          def size
            @size || 30
          end
        end
      end
    end
  end
end
