require 'active_model/model'

module Quby
  module Compiler
    module Entities
      class Version
        include ActiveModel::Model

        # @return [Integer]
        attr_accessor :number

        # @return [String]
        attr_accessor :release_notes

        # @return [Boolean]
        attr_accessor :regenerate_outcome

        # @return [Boolean]
        attr_accessor :deactivate_answers
      end
    end
  end
end